input[type="number"].input-text,
input[type="email"].input-text,
input[type="text"].input-text {
  @include _reset-glow;
  width: 100%;
  height: $forms-input-height;
  margin: 0;
  padding: 0 $grid-gap;

  @include _forms-bordered();
  @include _forms-error();
  background: $color-white;
  @include _font-paragraph('regular', $color-paragraph);

  &::placeholder {
    @include _font-paragraph('regular', $color-grey-paragraph);
  }

  @include _link-disabled() {
    @include _forms-disabled-styles();
    background: color-gray(2);
    color: $color-grey-paragraph;
  }
}